talkatu/builders

Parents 6d95d23d9436
Children 47f561f118cb
Install make so the fedora lto-wrapper doesn't die and make sure logs end up in the artifacts directory for debugging and stuff
--- a/Dockerfile.fedora-33-amd64 Wed Sep 16 18:30:33 2020 -0500
+++ b/Dockerfile.fedora-33-amd64 Thu Sep 17 15:52:31 2020 -0500
@@ -5,7 +5,7 @@
RUN set -ex && \
dnf install -y \
- meson ninja-build gcc mercurial \
+ meson ninja-build make gcc mercurial \
redhat-rpm-config rpm-build \
help2man gettext \
glib2-devel gobject-introspection-devel gtk3-devel gtk-doc \
--- a/Dockerfile.fedora-rawhide-amd64 Wed Sep 16 18:30:33 2020 -0500
+++ b/Dockerfile.fedora-rawhide-amd64 Thu Sep 17 15:52:31 2020 -0500
@@ -5,7 +5,7 @@
RUN set -ex && \
dnf install -y \
- meson ninja-build gcc mercurial \
+ meson ninja-build make gcc mercurial \
redhat-rpm-config rpm-build \
help2man gettext \
glib2-devel gobject-introspection-devel gtk3-devel gtk-doc \
--- a/rpm/build.sh Wed Sep 16 18:30:33 2020 -0500
+++ b/rpm/build.sh Thu Sep 17 15:52:31 2020 -0500
@@ -24,13 +24,24 @@
BUILD_NUMBER="${BUILD_NUMBER:-0}"
BUILD_VERSION="${BUILD_NUMBER}~$(hg id -i)"
+BUILD_DIR="build-${BUILD_TRIPLET}"
-# we need to generate the spec file so we need to run a meson
+# we need to generate the spec file so we need to run meson
meson /tmp/${BUILD_TRIPLET}
+set +e
# now that we have our rpm spec file we can do an rpmbuild
rpmbuild -bb \
-D "_rpmdir ${ARTIFACTS_DIR}" \
-D "_builddir ${CONVEY_WORKSPACE}" \
+ -D "_vpath_builddir ${BUILD_DIR}" \
-D "build_number ${BUILD_VERSION}" \
/tmp/${BUILD_TRIPLET}/packaging/talkatu.spec
+EC=${?}
+set -e
+
+# finally copy the meson-logs directory to the artifacts directory as well
+cp -a ${BUILD_DIR}/meson-logs ${ARTIFACTS_DIR}
+
+exit "${EC}"
+